Lead
Get all leads
GET
/
v1
/
leads
Get all leads
curl --request GET \
--url https://dev.flextell.ai/api/v1/leads \
--header 'Authorization: Bearer <token>' \
--header 'X-Tenant: <x-tenant>'import requests
url = "https://dev.flextell.ai/api/v1/leads"
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Tenant': '<x-tenant>', Authorization: 'Bearer <token>'}
};
fetch('https://dev.flextell.ai/api/v1/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"phone_number": "<string>",
"email": "<string>",
"description": "<string>",
"message": "<string>",
"preferred_contact": "<string>",
"source_page_url": "<string>",
"country_id": 123,
"is_converted": "<string>",
"converted_at": "2023-11-07T05:31:56Z",
"customer_id": 123,
"marketing_attribution": [
"<unknown>"
],
"external_id": "<string>",
"external_branch_id": "<string>",
"external_created_at": "2023-11-07T05:31:56Z",
"last_synced_at": "2023-11-07T05:31:56Z",
"import_source_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"status": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"color": "<string>",
"is_terminal": true
},
"reference_source": {
"id": 123,
"name": "<string>",
"external_id": "<string>"
},
"assigned_user": {
"id": 123,
"name": "<string>"
},
"country_name": "<string>"
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 2,
"from": 2,
"last_page": 2,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 1,
"to": 2,
"total": 1
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Query Parameters
Filter by lead status ID.
Filter by lead reference source ID.
Filter by converted status (true for converted leads).
The search query.
Maximum string length:
255The field to sort by.
Available options:
created_at, last_name, first_name, converted_at, last_synced_at The sort direction (asc or desc).
Available options:
asc, desc The number of items per page.
Required range:
1 <= x <= 100Include only soft-deleted records.
⌘I
Get all leads
